<bugID>233712<Summary>No drag-and-drop for dock icon (Other than html)</Summary><Description>User-Agent:       
Build Identifier: 

Dropping an object on the dock icon should open a Firefox window with that object (link, file, etc). 
I attempted to drag a link from a Terminal window to the Dock icon, and nothing happened. 
Dragging the link to an open Firefox window opens the link as expected.

Reproducible: Always
Steps to Reproduce:
1.Select a URL in any other program.
2.drag to Firefox Dock icon.
3.drag to open Firefox window.
Actual Results:  
2.link "snapped back" to terminal window
3.link opened in existing window.

Expected Results:  
2.link opened in new window.
3.link opened in existing window.</Description></bugID>